# rand::seq::index - Rust
Low-level API for sampling indices
Keywords: rust, rustlang, rust-lang, index

# Module rand::seq::index

source · [−]
Expand description

Low-level API for sampling indices

## Enums

IndexVec

A vector of indices.

IndexVecIntoIter

Return type of `IndexVec::into_iter`.

IndexVecIter

Return type of `IndexVec::iter`.

## Functions

sample

Randomly sample exactly `amount` distinct indices from `0..length`, and return them in random order (fully shuffled).

sample_weighted

Randomly sample exactly `amount` distinct indices from `0..length`, and return them in an arbitrary order (there is no guarantee of shuffling or ordering). The weights are to be provided by the input function `weights`, which will be called once for each index.